<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>503.10</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css"
        integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">

</head>

<body>
    <div class="container m-5">
        <button type="button" class="btn btn-primary m-2" onclick="getAllPost()">Get all</button>
        <button type="button" class="btn btn-secondary m-2" onclick="getPostbyId()">Get detail</button>
        <button type="button" class="btn btn-success m-2" onclick="createPost()">Create</button>
        <button type="button" class="btn btn-danger m-2" onclick="updatePost()">Update</button>
        <button type="button" class="btn btn-warning m-2" onclick="deletePost()">Delete</button>
    </div>

    <script>
        const gURL = "https://jsonplaceholder.typicode.com/posts";

        function fetAPI(url,options){
            fetch(url, options)
                .then(
                    (response) => {
                        return response.json();
                    })
                .then(
                    (data) => {
                        console.log(data);
                    })
                .catch(
                    (error) => {
                        console.error(error);
                    }
                )

        }

        function getAllPost() {
            fetAPI(gURL, {
                method: "GET",
            })
        }

        function getPostbyId() {
            fetAPI(gURL + "/1", {
                method: "GET"
            })

        }
        function createPost() {
            fetAPI(gURL,{
                method: "POST",
                headers: {
                    "Content-type" : "application/json; charset-UTF-8",
                },
                body: JSON.stringify({
                    title: "foo",
                    body: "bar",
                    userId: 1,
                })
            })
        }
        function updatePost() {
            fetAPI(gURL + "/1",{
                method: "PUT",
                headers: {
                    "Content-type" : "application/json; charset-UTF-8",
                },
                body: JSON.stringify({
                    title: "foo",
                    body: "bar",
                    userId: 1,
                })
            })

        }
        function deletePost() {
            fetAPI(gURL + "/1",{
                method: "DELETE"
            })
        }

    </script>

    <script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js"
        integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
        crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct"
        crossorigin="anonymous"></script>
</body>

</html>